#!/usr/bin/perl -w

# To normalize FastA files

my ($head,$seq) = ('','');
while(<>){
	chomp;
	if (/^>/){
		print "$head\n$seq\n" if $head;
		$head = $_;
		$seq = '';
	} elsif(/^[atgcun]/i) {
		$seq .= $_;
	}
}

print "$head\n$seq\n";
